using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 年度培训计划
    /// </summary>
    [Description("年度培训计划")]
    public class T_SE_YEAR_TRAIN_PLAN : MesEntityBase
    {
        /// <summary>
        /// 计划年度
        /// </summary>
        [Description("计划年度")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public int PLAN_YEAR { get; set; }
        /// <summary>
        /// 发起时间
        /// </summary>
        [Description("发起时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime? LAUNCH_TIME { get; set; }
        /// <summary>
        /// 发起部门ID
        /// </summary>
        [Description("发起部门")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_LaunchDepartment")]
        public Guid? LAUNCH_DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 发起部门
        /// </summary>
        [Description("导航: 发起部门")]
        public T_FM_DEPARTMENT Nav_LaunchDepartment { get; set; }
        /// <summary>
        /// 发起人员ID
        /// </summary>
        [Description("发起人员")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_LaunchUser")]
        public Guid? LAUNCH_USER_ID { get; set; }
        /// <summary>
        /// 发起时间
        /// </summary>
        [Description("截止时间")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public DateTime END_TIME { get; set; }
        /// <summary>
        /// 导航: 发起人员
        /// </summary>
        [Description("导航: 发起人员")]
        public T_FM_USER Nav_LaunchUser { get; set; }
        /// <summary>
        /// 计划名称
        /// </summary>
        [Description("计划名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string PLAN_NAME { get; set; }
        
        /// <summary>
        /// 实施要求
        /// </summary>
        [Description("实施要求")]
        [DataFieldLength(300)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string IMPLEMENT_REQUIREMENT { get; set; }
        /// <summary>
        /// 培训目标
        /// </summary>
        [Description("培训目标")]
        [DataFieldLength(200)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string TRAIN_GOAL { get; set; }
        /// <summary>
        /// 导航: 年度培训计划详情
        /// </summary>
        [Description("导航: 年度培训计划详情")]
        [FormFieldEdit]
        public ICollection<T_SE_YEAR_TRAIN_PLAN_DETAIL> Nav_YearTrainPlanDetail { get; set; }
        /// <summary>
        /// 导航属性：附件
        /// </summary>
        [Description("导航属性：附件")]
        public ICollection<T_SE_YEAR_TRAIN_PLAN_FILE> Nav_Files { get; set; }
        /// <summary>
        /// 导航: 发送部门
        /// </summary>
        [Description("发送部门")]
        public ICollection<T_SE_YEAR_TRAIN_PLAN_DEPARTMENT> Nav_YearTrainPlanDepartment { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        [EnumName("PFStandardStatus")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public PFStandardStatus STATUS { get; set; }
        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
        [DataFieldIngore]
        public int IS_OVERTIME { get; set; }
    }
}
